octonet - Segnalazione #249

creazione utenza con permissions di admin
05/05/2017 04:38 PM - Paolo Dongilli

Status: Risolto Start date: 05/05/2017
Priority: Urgente Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Creata un'utenza alla quale sono state attribuite tutte le App Permissions (Users, Auth, Polygen, Dhcp, Host, Hostqueue, Upgrade,
Dansguardian, Firewall, Printers, Script, Samba).

L'utenza creata riesce ad accedere ad OctoNet ma l'interfaccia ha funzionalita ridotte rispetto all'interfaccia vista da root.

Related issues:
Precedes octonet - Segnalazione #255: Eccezione se un utente non root visita ... Chiuso 05/12/2017

Associated revisions

Revision c867e40f - 05/12/2017 02:52 PM - Mark Caglienzi

Trim '/' from the start of path, if present. Because for non root users this made everything fail because octonet seraches for 'status' and here will arrive
'tatus’. refs #249

Revision 8004d15d - 05/12/2017 03:02 PM - Mark Caglienzi

Revert "Trim '/' from the start of path, if present. Because for non root users this made everything fail because octonet seraches for 'status' and here
will arrive 'tatus'. refs #249"

This reverts commit c867e40f4cfo80cac1891351f6a5f294¢5234d34.

Revision 0e29a509 - 05/12/2017 03:51 PM - Mark Caglienzi

Fix requests to send the resource url to octofussd (e.g. '/samba' and not 'samba’, that made everything broken for non-root users in
ValidatingOctofussServer). refs: #249

Revision cf115f26 - 05/12/2017 04:00 PM - Mark Caglienzi

auth is active if also users is active. refs: #249

Revision 98d8c65a - 05/12/2017 04:53 PM - Christopher R. Gabriel
refs #249, #255

History

#1 - 05/11/2017 03:21 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 05/12/2017 10:48 AM - Christopher R. Gabriel

Aggiungo una cosa qui: questo plugin (/auth) dipende da /users, ma non verifica se /users c'e'. Nel caso in cui /users sia disattivato, il plugin e' attivo,
ma andandlo ad usare, solleva eccezione non gestita.

Se /users non €' attivato, va disattivato pure questo.
#3 - 05/12/2017 04:04 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

cf115f26:
e Corretti tutti i metodi is_active() dei plugin in modo che mandino I'url della risorsa necessaria con lo "/" iniziale, che viene poi rimosso da
octofussd, il quale poi si comporta correttamente rispetto ai permessi
¢ Con l'utente root questo non avviene perché se l'utente si chiama, appunto, 'root', questi controlli non vengono nemmeno fatti e si valida
l'accesso
e Ho aggiunto anche il check per '/users' nell'is_active() del plugin auth, come richiesto
Questo ha mostrato un altro problema a valle, per cui aprird un ticket separato, che poi correlero a questo.

Pacchetto da rifare: octonet.

#4 - 05/12/2017 04:06 PM - Mark Caglienzi

- Precedes Segnalazione #255: Eccezione se un utente non root visita manualmente un url per cui non ha i permessi added

#5 - 05/12/2017 04:53 PM - Christopher R. Gabriel

- Project changed from Octofuss to octonet

#6 - 05/12/2017 04:56 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Pubblicato pacchetto octonet 0.2.6
#7 - 05/14/2017 12:28 AM - Paolo Dongilli
- File funzionalita-octonet-ridotte.png added

- Assignee changed from Paolo Dongilli to Christopher R. Gabriel

Creata nuovamente un'utenza con App Permissions (Users, Auth, Polygen, Dhcp, Host, Hostqueue, Upgrade, Dansguardian, Firewall, Printers,
Script, Samba) ma l'interfaccia OctoNet non mostra le funzionalita attese.
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/cf115f26c7f6e1955196657ffc8099b1acab5847
Fuss News

Distribuzione FUSS - Muova versione Fuss Client

E' stata rilasciata la nuova versione 8.0.2 del
pacchetto fuss-client che include risoluzione del
problema di configurazione proxy durante la fase di
configurazione.

By Christopher R. Gabriel on 2017-03-15T11:52:392

Server - Fuss-server 8.0.1-8

E' disponibile la nuova versione di Fuss Server 8.0,
nuovo aggiornamento per la distribuzione Debian 8.7
"lessie".

Tra le novita, il nuovo pacchetto include:
- Nuovi comandi per la verifica della configurazione al

seguito della installazione
- Gestione installazione/creazione immagini via PXE E

#8 - 05/15/2017 10:07 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi
#9 - 05/15/2017 10:47 AM - Mark Caglienzi

- Assignee changed from Mark Caglienzi to Paolo Dongilli

Giusto un paio di domande preliminari:

e Octonet e octofussd sono stati riavviati?
¢ E stato fatto logout/login dell'utenza di prova (immagino che l'utente sia 'dongilli') ?

#10 - 06/05/2017 04:35 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Mark Caglienzi

Mark Caglienzi ha scritto:
Giusto un paio di domande preliminari:

e Octonet e octofussd sono stati riavviati?

Si

* E stato fatto logout/login dell'utenza di prova (immagino che l'utente sia 'dongilli’) ?

Si

#11 - 06/05/2017 06:40 PM - Christopher R. Gabriel

- Assignee changed from Mark Caglienzi to Paolo Dongilli

Questo era gia' stato risolto, se aggiorni a 0.2.6 non dovresti piu' avere il problema.

Lo puoi verificare anche sulla installazine di mock (https://octonet.fuss.bz.it), prendendo un qualunque utente, assegnandogli permessi e poi facendo
login con quell'utente. Nella versione mock, la password e' uguale allo username.

#12 - 06/12/2017 10:51 AM - Paolo Dongilli
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
